#
# spec file for package qsstv (Version 3.0.m)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libjpeg libpng qtdevel qtext qtlib xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qtcompat qtdevel qtext qtlib rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         qsstv
Copyright:    1999 Johan Maes ON1MH
Group:        X11/Applications/Hamradio
Autoreqprov:  on
Version:      3.0.m
Release:      246
Summary:      A SSTV program for Linux/X11
Source:  qsstv_3_0_m.tgz
Source1: qsstv_gifs.tgz
Patch:  qsstv_3_0_m.dif

%description
A SSTV program for Linux/X11 and soundcard (Soundblaster 16, GUS Max, ES1371)
and support for various transmit and receive modes.

Authors:
--------
    Johan Maes <on1mh@csi.com>

SuSE series: ham

%prep
%setup -c -n qsstv_3_0_m 
%patch

%build
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 702 ]; then
 export QTDIR=/usr/lib/qt
 export KDEDIR=/opt/kde
fi
make

%install
install -m 755 qsstv /usr/X11R6/bin/

%files
%doc README.SuSE
/usr/X11R6/bin/qsstv

%changelog -n qsstv
* Fri Aug 24 2001 - ro@suse.de
- added old KDEDIR and QTDIR to build with 7.3 environment
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to X11/Applications/Hamradio
* Tue Mar 07 2000 - ka@suse.de
- update to 3.0.m
* Fri Jan 28 2000 - ro@suse.de
- fixed to compile
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jul 18 1999 - ka@suse.de
- update to version 2.0e
- added german text to README.SuSE
* Mon May 24 1999 - ro@suse.de
- specfile fixes
* Mon May 24 1999 - ka@suse.de
- update to version 2.0c
* Thu May 20 1999 - ka@suse.de
- added wrapper for Qmenuebar (thanks, Uli!)
* Fri Apr 09 1999 - ka@suse.de
- initial release
